# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=jquery
TARGET=jquery.tif
PROJECT_FILE=/mnt/media/pictures/2008/barcamp/jquery.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/barcamp/sta_2163.jpg /mnt/media/pictures/2008/barcamp/stb_2164.jpg /mnt/media/pictures/2008/barcamp/stc_2165.jpg /mnt/media/pictures/2008/barcamp/std_2166.jpg /mnt/media/pictures/2008/barcamp/ste_2167.jpg /mnt/media/pictures/2008/barcamp/stf_2168.jpg /mnt/media/pictures/2008/barcamp/stg_2169.jpg 

# remapped images
REMAPPED_IMAGES=jquery0000.tif jquery0001.tif jquery0002.tif jquery0003.tif jquery0004.tif jquery0005.tif jquery0006.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f3000x652


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


